Bug 226817 - Switch to Perl 5.26
Summary: Switch to Perl 5.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-21 09:42 UTC by Mathieu Arnold
Modified: 2018-03-30 12:22 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-03-21 09:42:58 UTC
Build with this in the make.conf:

DEFAULT_VERSIONS+= perl5=5.26
Comment 1 Antoine Brodin freebsd_committer 2018-03-27 20:16:06 UTC
New failures on 11.1 i386:

+ {"origin"=>"devel/arm-none-eabi-newlib", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/IPA", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/hope", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/gri", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/oleo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/ldapsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"news/husky-hpt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/linuxdoc-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"ukrainian/hunspell", "phase"=>"build", "errortype"=>"???"}

New failure logs on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/arm-none-eabi-newlib-2.4.0_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/IPA-1.08_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/hope-1.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/gri-2.12.23_6.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/oleo-1.99.16_9.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/ldapsdk-6.0.7_1,1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/husky-hpt-1.9.20140519_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/linuxdoc-tools-0.9.71.log
http://package23.nyi.freebsd.org/data/111i386-default-PR226817/2018-03-27_14h38m04s/logs/errors/uk-hunspell-1.8.0_1.log
Comment 2 Antoine Brodin freebsd_committer 2018-03-28 05:33:49 UTC
New failures on 11.1 amd64:

+ {"origin"=>"devel/arm-none-eabi-newlib", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/IPA", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/hope", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/gri", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/oleo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/ldapsdk", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"news/husky-hpt", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/linuxdoc-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"ukrainian/hunspell", "phase"=>"build", "errortype"=>"???"}

New failure logs on 11.1 amd64:

http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/arm-none-eabi-newlib-2.4.0_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/IPA-1.08_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/hope-1.1_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/gri-2.12.23_6.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/oleo-1.99.16_9.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/ldapsdk-6.0.7_1,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/husky-hpt-1.9.20140519_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/linuxdoc-tools-0.9.71.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR226817/2018-03-27_17h52m21s/logs/errors/uk-hunspell-1.8.0_1.log
Comment 3 commit-hook freebsd_committer 2018-03-28 16:53:47 UTC
A commit references this bug:

Author: mat
Date: Wed Mar 28 16:52:50 UTC 2018
New revision: 465818
URL: https://svnweb.freebsd.org/changeset/ports/465818

Log:
  Fix build with Perl 5.26.

  "use encoding" was removed (deprecated since 5.18), and set STDOUT to
  utf8 so that it does not warn about wide characters.

  PR:		226817
  Sponsored by:	Absolight

Changes:
  head/ukrainian/hunspell/files/
  head/ukrainian/hunspell/files/patch-bin_verb__reverse.pl
Comment 4 commit-hook freebsd_committer 2018-03-28 16:53:49 UTC
A commit references this bug:

Author: mat
Date: Wed Mar 28 16:52:55 UTC 2018
New revision: 465819
URL: https://svnweb.freebsd.org/changeset/ports/465819

Log:
  Fix build with Perl 5.26.

  Unescaped left brace in regex is illegal in regex when not used as a
  quantifier.
  - /foo{3}/ will match foofoofoo.
  - /\\new{bar}/ is illegal and should be written as /\\new\{bar}/.

  PR:		226817
  Sponsored by:	Absolight

Changes:
  head/math/gri/files/patch-doc__texinfo2HTML
  head/math/oleo/files/patch-doc_texi2html.in
  head/net/ldapsdk/files/patch-ldap_build_replace.pm
  head/textproc/latex2html/Makefile
  head/textproc/latex2html/files/patch-latex2html.pin
  head/textproc/latex2html/files/patch-versions_html4__0.pl
  head/textproc/linuxdoc-tools/files/patch-lib_fmt_fmt__latex2e.pl
Comment 5 Mathieu Arnold freebsd_committer 2018-03-28 17:10:10 UTC
I fixed everything but devel/arm-none-eabi-newlib and graphics/IPA.

devel/arm-none-eabi-newlib fails in some C error that I do not think has anything to do with Perl.


arm-none-eabi-gcc -B/wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/arm-none-eabi/newlib/ -isystem /wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/arm-none-eabi/newlib/targ-include -isystem /wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/newlib/libc/include -B/wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/arm-none-eabi/libgloss/arm -L/wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/arm-none-eabi/libgloss/libnosys -L/wrkdirs/usr/ports/devel/arm-none-eabi-newlib/work/newlib-2.4.0/libgloss/arm    -DPACKAGE_NAME=\"newlib\" -DPACKAGE_TARNAME=\"newlib\" -DPACKAGE_VERSION=\"2.4.0\" -DPACKAGE_STRING=\"newlib\ 2.4.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -I. -I../../../.././newlib/libc/stdlib -D__NO_SYSCALLS__ -fno-builtin      -g -O2 -c -o lib_a-strtoll_r.o `test -f 'strtoll_r.c' || echo '../../../.././newlib/libc/stdlib/'`strtoll_r.c
../../../.././newlib/libc/stdlib/strtoll_r.c: In function '_strtoll_r':
../../../.././newlib/libc/stdlib/strtoll_r.c:110:38: error: 'LONG_LONG_MIN' undeclared (first use in this function)
  cutoff = neg ? -(unsigned long long)LONG_LONG_MIN : LONG_LONG_MAX;
                                      ^~~~~~~~~~~~~
../../../.././newlib/libc/stdlib/strtoll_r.c:110:38: note: each undeclared identifier is reported only once for each function it appears in
../../../.././newlib/libc/stdlib/strtoll_r.c:110:54: error: 'LONG_LONG_MAX' undeclared (first use in this function)
  cutoff = neg ? -(unsigned long long)LONG_LONG_MIN : LONG_LONG_MAX;
                                                      ^~~~~~~~~~~~~
gmake[6]: *** [Makefile:1117: lib_a-strtoll_r.o] Error 1


graphics/IPA fails to build in a very strange way, for some reason, the .c.o default target does not work correctly any more, and I completely fail to see why.  I'll mark it as BROKEN for Perl 5.26.
Comment 6 commit-hook freebsd_committer 2018-03-28 17:15:18 UTC
A commit references this bug:

Author: mat
Date: Wed Mar 28 17:14:27 UTC 2018
New revision: 465826
URL: https://svnweb.freebsd.org/changeset/ports/465826

Log:
  Mark BROKEN with Perl 5.26.

  The error is:
  cc  -shared  -L/usr/local/lib/perl5/5.26/mach/CORE -lperl
  -L/usr/local/lib -fstack-protector-strong Geometry/Geometry.o
  Global/Global.o Local/Local.o Misc/Misc.o Morphology/Morphology.o
  Point/Point.o IPA.o Geometry/Geometry2.o Global/fft.o Global/Global2.o
  Global/gsclose.o Global/hough.o Local/Local2.o Misc/Misc2.o
  Morphology/Morphology2.o Point/Point2.o  -o blib/arch/auto/IPA/IPA.so
  cc: error: no such file or directory: 'Geometry/Geometry.o'
  cc: error: no such file or directory: 'Global/Global.o'
  cc: error: no such file or directory: 'Local/Local.o'
  cc: error: no such file or directory: 'Misc/Misc.o'
  [...]

  For some reason, the object files are not created where they should and,
  obviously, cc cannot find them.  I compared the Makefile from Perl 5.24
  which works and Perl 5.26 which does not, I cannot see any obviously
  wrong bit.

  PR:		226817
  Sponsored by:	Absolight

Changes:
  head/graphics/IPA/Makefile
Comment 7 commit-hook freebsd_committer 2018-03-30 12:16:46 UTC
A commit references this bug:

Author: mat
Date: Fri Mar 30 12:15:43 UTC 2018
New revision: 465965
URL: https://svnweb.freebsd.org/changeset/ports/465965

Log:
  Switch the default Perl to 5.26.

  PR:		226817
  Exp-run by:	antoine
  Sponsored by:	Absolight

Changes:
  head/Mk/bsd.default-versions.mk